diff -pruN 1.2.0-6/debian/changelog 1.2.0-7/debian/changelog
--- 1.2.0-6/debian/changelog	2021-06-26 22:00:00.000000000 +0000
+++ 1.2.0-7/debian/changelog	2024-08-01 21:38:26.000000000 +0000
@@ -1,3 +1,19 @@
+donkey (1.2.0-7) unstable; urgency=medium
+
+  * Explicitly declare dh-sequence-single-binary.
+  * Declare compliance with Policy 4.7.0 with no changes.
+  * Add the years 2021 and 2024 to my debian/* copyright notice.
+  * Use debhelper compat level 14:
+    - use X-DH-Compat
+    - let debhelper take care of some default dependencies
+  * Use dpkg's default.mk for completeness.
+  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
+  * Use dh-package-notes to record ELF package metadata.
+  * Mark the regex string as raw in the re-usage patch.
+  * Add the re-raw patch to mark one more regex string as raw.
+
+ -- Peter Pentchev <roam@debian.org>  Fri, 02 Aug 2024 00:38:26 +0300
+
 donkey (1.2.0-6) unstable; urgency=medium
 
   * Use the "pty" test driver to avoid problems with tmux not always
diff -pruN 1.2.0-6/debian/control 1.2.0-7/debian/control
--- 1.2.0-6/debian/control	2021-06-26 22:00:00.000000000 +0000
+++ 1.2.0-7/debian/control	2024-08-01 21:38:26.000000000 +0000
@@ -2,17 +2,25 @@ Source: donkey
 Section: net
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), libmd-dev | libssl-dev, python3, python3-ddt, python3-six, tmux
+Standards-Version: 4.7.0
+Build-Depends:
+ debhelper (>> 13.15~),
+ dh-package-notes,
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
+ libmd-dev | libssl-dev,
+ python3,
+ python3-ddt,
+ python3-six,
+ tmux,
+X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/security/donkey/
 Vcs-Git: https://gitlab.com/donkey/donkey.git -b debian/master
 Vcs-Browser: https://gitlab.com/donkey/donkey/tree/debian/master
-Rules-Requires-Root: no
 
 Package: donkey
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: One Time Password calculator
  Donkey is an alternative for S/KEY's "key" command.  This means that donkey
  is also an alternative for "keyinit".  Since the entry is printed to stdout
diff -pruN 1.2.0-6/debian/copyright 1.2.0-7/debian/copyright
--- 1.2.0-6/debian/copyright	2021-06-26 22:00:00.000000000 +0000
+++ 1.2.0-7/debian/copyright	2024-08-01 21:38:26.000000000 +0000
@@ -23,7 +23,7 @@ License: not-for-profit
 
 Files: debian/*
 Copyright: (C) 1997-1999, 2001, 2003  Fumitoshi UKAI
-           (C) 2009, 2011, 2013, 2016 - 2020  Peter Pentchev
+           (C) 2009, 2011, 2013, 2016 - 2021, 2024  Peter Pentchev
 License: GPL-2+
 
 License: GPL-2
diff -pruN 1.2.0-6/debian/patches/re-raw.patch 1.2.0-7/debian/patches/re-raw.patch
--- 1.2.0-6/debian/patches/re-raw.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.2.0-7/debian/patches/re-raw.patch	2024-08-01 21:38:26.000000000 +0000
@@ -0,0 +1,17 @@
+Description: Mark a regex string as a raw one
+ The \s and \S escapes should be treated as regex ones, not character ones.
+Forwarded: yes
+Author: Peter Pentchev <roam@ringlet.net>
+Last-Update: 2024-08-02
+
+--- a/src/test-donkey.py
++++ b/src/test-donkey.py
+@@ -93,7 +93,7 @@
+         self.p = None
+         self.output = None
+         self.in_decoded = ''
+-        self.re_output = re.compile('%output \s+ \S+ \s+ (?P<data> .*)', re.X)
++        self.re_output = re.compile(r'%output \s+ \S+ \s+ (?P<data> .*)', re.X)
+         self.re_output_decode = re.compile(
+             '(?P<pre> .*? ) [\\\\] (?P<code> [0-9]{3} ) (?P<post> .* )',
+             re.X)
diff -pruN 1.2.0-6/debian/patches/re-usage.patch 1.2.0-7/debian/patches/re-usage.patch
--- 1.2.0-6/debian/patches/re-usage.patch	2021-06-26 22:00:00.000000000 +0000
+++ 1.2.0-7/debian/patches/re-usage.patch	2024-08-01 21:38:26.000000000 +0000
@@ -3,7 +3,7 @@ Description: Allow whitespace in the usa
  spaces by default.
 Forwarded: yes
 Author: Peter Pentchev <roam@ringlet.net>
-Last-Update: 2018-08-30
+Last-Update: 2024-08-02
 
 --- a/src/test-donkey.py
 +++ b/src/test-donkey.py
@@ -12,7 +12,7 @@ Last-Update: 2018-08-30
              'dialog': [
              ],
 -            'result': 'usage:\tdonkey',
-+            'result': re.compile('usage: \s+ donkey', re.X),
++            'result': re.compile(r'usage: \s+ donkey', re.X),
          },
  
          {
@@ -20,7 +20,7 @@ Last-Update: 2018-08-30
              'dialog': [
              ],
 -            'result': 'usage:\tdonkey',
-+            'result': re.compile('usage: \s+ donkey', re.X),
++            'result': re.compile(r'usage: \s+ donkey', re.X),
          },
  
          {
@@ -29,7 +29,7 @@ Last-Update: 2018-08-30
              'dialog': [
              ],
 -            'result': 'usage:\tdonkey',
-+            'result': re.compile('usage: \s+ donkey', re.X),
++            'result': re.compile(r'usage: \s+ donkey', re.X),
              'exit_code': 1,
          },
  
diff -pruN 1.2.0-6/debian/patches/series 1.2.0-7/debian/patches/series
--- 1.2.0-6/debian/patches/series	2021-06-26 22:00:00.000000000 +0000
+++ 1.2.0-7/debian/patches/series	2024-08-01 21:38:26.000000000 +0000
@@ -1,2 +1,3 @@
 cleanup-tempdir-diag.patch
 re-usage.patch
+re-raw.patch
diff -pruN 1.2.0-6/debian/rules 1.2.0-7/debian/rules
--- 1.2.0-6/debian/rules	2021-06-26 22:00:00.000000000 +0000
+++ 1.2.0-7/debian/rules	2024-08-01 21:38:26.000000000 +0000
@@ -11,7 +11,9 @@ else
 config_werror=
 endif
 
-export DEB_BUILD_MAINT_OPTIONS DEB_CFLAGS_MAINT_APPEND
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 override_dh_auto_configure:
 	dh_auto_configure -D src -- $(config_werror)
diff -pruN 1.2.0-6/debian/source/lintian-overrides 1.2.0-7/debian/source/lintian-overrides
--- 1.2.0-6/debian/source/lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 1.2.0-7/debian/source/lintian-overrides	2024-08-01 21:38:26.000000000 +0000
@@ -0,0 +1,9 @@
+# We use X-DH-Compat: 14
+#
+donkey source: debhelper-compat-file-is-missing
+donkey source: package-uses-deprecated-debhelper-compat-version 1
+
+# The "default" dependencies are added automatically by debhelper
+# in compat level 14.
+#
+donkey source: debhelper-but-no-misc-depends donkey
